|  | Home · All Classes · Modules

# QStyleOptionFrameV2.FrameFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, FrameFeatures)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- FrameFeatures __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, FrameFeatures f)
- FrameFeatures __iand__ (self, int mask)
- int __int__ (self)
- FrameFeatures __invert__ (self)
- FrameFeatures __ior__ (self, FrameFeatures f)
- FrameFeatures __ixor__ (self, FrameFeatures f)
- bool __ne__ (self, FrameFeatures f)
- FrameFeatures __or__ (self, FrameFeatures f)
- FrameFeatures __or__ (self, int f)
- FrameFeatures __xor__ (self, FrameFeatures f)
- FrameFeatures __xor__ (self, int f)

## Detailed Description

FrameFeature may be used whenever FrameFeatures is expected.

## Method Documentation

### FrameFeatures.__init__ (self, FrameFeatures)

### FrameFeatures.__init__ (self, int)

### FrameFeatures.__init__ (self)

### FrameFeatures FrameFeatures.__and__ (self, int mask)

### int FrameFeatures.__bool__ (self)

### bool FrameFeatures.__eq__ (self, FrameFeatures f)

### FrameFeatures FrameFeatures.__iand__ (self, int mask)

### int FrameFeatures.__int__ (self)

### FrameFeatures FrameFeatures.__invert__ (self)

### FrameFeatures FrameFeatures.__ior__ (self, FrameFeatures f)

### FrameFeatures FrameFeatures.__ixor__ (self, FrameFeatures f)

### bool FrameFeatures.__ne__ (self, FrameFeatures f)

### FrameFeatures FrameFeatures.__or__ (self, FrameFeatures f)

### FrameFeatures FrameFeatures.__or__ (self, int f)

### FrameFeatures FrameFeatures.__xor__ (self, FrameFeatures f)

### FrameFeatures FrameFeatures.__xor__ (self, int f)